## Files Used in Tests
Most of these files are stored on Git LFS but the ones that aren't (due to file size) can be found on the echopype shared drive.


### EK80

- D20190822-T161221.raw: Contains channels that only record real power data
- D20170912-T234910.raw: Contains channels that only record complex power data
- Summer2018--D20180905-T033113.raw: Contains BB channels encoded in complex and CW channels encoded in power samples (reduced from 300 MB to 3.8 MB in test data updates).
- Summer2018 (3 files): Contains channels with complex power data as well as channels with real power data. They can be combined.
- 2019118 group2survey-D20191214-T081342.raw: Contains 6 channels but only 2 of those channels collect ping data
- D20200528-T125932.raw: Data collected from WBT mini (instead of WBT), from @emlynjdavies
- Green2.Survey2.FM.short.slow.-D20191004-T211557.raw: Contains 2-in-1 transducer, from @FletcherFT (reduced from 104.9 MB to 765 KB in test data updates)
- raw4-D20220514-T172704.raw: Contains RAW4 datagram, 1 channel only, from @cornejotux
- D20210330-T123857.raw: do not contain filter coefficients


### EA640
- 0001a-D20200321-T032026.raw: Data of identical format to standard EK80 files, but with a different NME1 datagram (instead of NME0).


### EK60
- DY1801_EK60-D20180211-T164025.raw: Standard test with constant ranges across ping times
- Winter2017-D20170115-T150122.raw: Contains a change of recording length in the middle of the file
- 2015843-D20151023-T190636.raw: Not used in tests but contains ranges are not constant across ping times
- SH1701_consecutive_files_w_range_change: Not used in tests. [Folder](https://drive.google.com/drive/u/1/folders/1PaDtL-xnG5EK3N3P1kGlXa5ub16Yic0f) on shared drive that contains sequential files with ranges that are not constant across ping times.
- NBP_B050N-D20180118-T090228.raw: split-beam setup without angle data


### AZFP
- 17082117.01A: Standard test. Used with 17041823.XML.
